.timeline {
    --fast: .125s;
    --medium: .25s;
    --slow: .4s;
    
    --margin-left: 64px;

    --logo-side: 10rem;

    --paragraph-width: 17rem;
    --paragraph-height: 14rem;
    --paragraph-margin: 1rem;

    --team-width: 17rem;
    --isu-width: 24rem;
    --harper-width: 22rem;
    --haber-width: 17rem;
    
    --isu-height: 20rem;
    --haber-height: 14rem;
}

.one-t{
    background: linear-gradient(0deg, var(--three) 0%, var(--two) 100%);
}

.two-t{
    background: linear-gradient(0deg, var(--four) 0%, var(--three) 100%);
}

.three-t{
    background: linear-gradient(0deg, var(--five) 0%, var(--four) 100%);
}

.four-t{
    background: linear-gradient(0deg, var(--two) 0%, var(--five) 100%);
}
.one{
    background: var(--two);
}

.two{
    background: var(--three);
}

.three{
    background: var(--four);
}

.four{
    background: var(--five);
}

.vertical-line {
    width: 6px;
    height: 6rem;
    margin-left: calc(6rem + var(--margin-left) - 6px);
}

.year {
    width: min-content;
    padding-left: 1rem;
    padding-top: 1rem;
    font-family: var(--tungsten);
    color: rgba(var(--mistone-rgb), 0.7);
    font-size: 3rem;
}
 
topic {
    font-family: var(--tungsten);
    line-height: 7.3rem;
    font-size: 7.3rem;
}

.topic-border {
    width:min-content;
    background: linear-gradient(0deg, var(--two) 0%, var(--five) 100%);
    border-radius: 6px;
    padding: 6px;
}

.circle {
    display: flex;
    flex-direction: column;
    justify-content: center;
    
    border-radius: 6rem;
    
    margin-top: -1px;
    margin-bottom: -1px;
    width: 12rem;
    height: 12rem;
}

.circle-left{
    margin-left: calc(var(--margin-left) + 0px);
}

.circle-mask{
    width: 100%;
    height: 100%;
    border-radius: calc(100% - 12px);
    background-color: var(--tone);
    padding: 6px;

    background-clip: content-box;
}

.circle-mask-left{
    width: 8rem;
    height: calc(12rem + 6px);
    background-color: var(--tone);
    margin-top: -6px;    
    margin-left: calc(6rem - 6px);
}

.circle-mask-right{
    width: 6rem;
    height: calc(12rem + 2px);
    background-color: var(--tone);
    margin-top: -6px;
    margin-left: -6px;
}

.circle-right{
    margin-left: calc(var(--margin-left) - 6px);
}

.profile header {
    position: absolute;
    display: flex;
    justify-content: space-between;
    align-items: baseline;
    flex-direction: row;
    left: 2.6rem;
    width: calc(100% - 3rem);

    cursor: default;
    color: rgba(var(--font-color-rgb), 0.0);
}

.profile ch {
    height: 100%;
    margin-right: 8px;
    white-space:nowrap;
    font-family: var(--font-family-monospace);
    font-size: 0.8rem;
    color: rgba(var(--text-color), 0.0);
}

.profile sh {
    white-space:nowrap;
}

.paragraph-container:hover ch, .paragraph-container:focus ch, .profile:hover ch, .profile:focus ch {
    color: var(--text-muted);
    transition: var(--slow); 
}

.paragraph-container:hover header, .paragraph-container:focus header, .profile:hover header, .profile:focus header{
    color: rgba(var(--font-color-rgb), 1.0);
    transition: var(--slow); 
}

.profile {
    display: flex;
    flex-direction: column;
    justify-content: center;
    position: absolute;
    z-index: 1;
}

.paragraph-container:hover .paragraph-container, .paragraph-container:focus .paragraph-container, .profile:hover .paragraph-container, .profile:focus .paragraph-container{
    width: var(--paragraph-width);
    height: var(--paragraph-height);

    border-radius: 20px;
    left: -2rem;
    transition: var(--slow);
}


.paragraph-container:hover p, .paragraph-container:focus p, .profile:hover p, .profile:focus p {
    right: 0;
    color: var(--mistone);
    transition:var(--slow) ease;
}

.profile:hover .logo, .profile:focus .logo{
    width: 2rem;
    height: 2rem;
    top: 0.5rem;
    left: -1.5rem;
    transition: var(--medium);
}

div.profile p {
    position: relative;
    left: 0;
    margin-bottom: 0.5rem;
    text-align: center;
    right: calc(-1 * var(--logo-side));
    color: transparent;
    transition:var(--fast) ease;
}

.paragraph-container{
    display: flex;
    flex-direction: column;
    justify-content: space-between;
    position:relative;
    width: var(--logo-side);
    height: var(--logo-side);
    left: 0;
    border-radius: 5rem;
    overflow:hidden;
    
    background: var(--secondary);
    
    padding: 20px 10px 15px 10px;
    margin: var(--paragraph-margin);
    transition: var(--medium);
}

.logo {
    display: block;
    position: absolute;
    width: var(--logo-side);
    height: var(--logo-side);
    top: 0;
    left: 0;
    border-radius: 50%;
    margin: 1rem;
    transition: var(--medium);
}

/* It just works */
.paragraph-container:hover .team, .paragraph-container:focus .team, .profile:hover .team, .profile:focus .team{
    width: var(--team-width);
}
.paragraph-container:hover .isu, .paragraph-container:focus .isu, .profile:hover .isu, .profile:focus .isu{
    width: var(--isu-width);
    height: var(--isu-height);
    padding-top: 1rem;
}
.paragraph-container:hover .harper, .paragraph-container:focus .harper, .profile:hover .harper, .profile:focus .harper{
    width: var(--harper-width);
}
.paragraph-container:hover .haber, .paragraph-container:focus .haber, .profile:hover .haber, .profile:focus .haber{
    width: var(--haber-width);
    height: var(--haber-height);
}

.paragraph-container:hover .team p, .paragraph-container:focus .team p, .profile:hover .team p, .profile:focus .team p{
    margin-top: 20px;
    -webkit-user-select: none;  /* Chrome all / Safari all */
    -moz-user-select: none;     /* Firefox all */
    -ms-user-select: none;      /* IE 10+ */
    user-select: none;          /* Likely future */   
}

.paragraph-container:hover .isu p, .paragraph-container:focus .isu p, .profile:hover .isu p, .profile:focus .isu p{
    margin-top: 22px;
    -webkit-user-select: none;  /* Chrome all / Safari all */
    -moz-user-select: none;     /* Firefox all */
    -ms-user-select: none;      /* IE 10+ */
    user-select: none;          /* Likely future */   
}

.paragraph-container:hover .harper p, .paragraph-container:focus .harper p, .profile:hover .harper p, .profile:focus .harper p{
    margin-top: 20px;
    -webkit-user-select: none;  /* Chrome all / Safari all */
    -moz-user-select: none;     /* Firefox all */
    -ms-user-select: none;      /* IE 10+ */
    user-select: none;          /* Likely future */   
}
.paragraph-container:hover .haber p, .paragraph-container:focus .haber p, .profile:hover .haber p, .profile:focus .haber p{
    margin-top: 20px;
    -webkit-user-select: none;  /* Chrome all / Safari all */
    -moz-user-select: none;     /* Firefox all */
    -ms-user-select: none;      /* IE 10+ */
    user-select: none;          /* Likely future */   
}

.team p {
    width: calc(var(--team-width) - 20px);
    margin-top: -7px;
}
.isu p {
    width: calc(var(--isu-width) - 2rem);
    margin-top: -62px;
}
.harper p {
    width: calc(var(--harper-width) - 2rem);
    margin-top: -10px;
}
.haber p {
    width: calc(var(--haber-width) - 20px);
    margin-top: -7px;
}

.team header {
    margin-top: -8px;
}
.isu header {
    margin-top: -4px;
}
.harper header {
    margin-top: -7px;
}
.haber header {
    margin-top: -8px;
}

.profile sf {
    font-family: var(--font-family-monospace);
    font-size: 0.8rem;
    color: var(--text-muted);
}

.profile sep {
    background: var(--text-muted);
    width: 1px;
}

.profile footer {
    display: none;
    justify-content: space-around;
}
.paragraph-container:hover footer, .paragraph-container:focus footer, .profile:hover footer, .profile:focus footer{
    display: flex;
    transition: var(--fast); 
}